[arch-commits] Commit in python-zope-security/trunk (PKGBUILD)

Felix Yan felixonmars at archlinux.org
Tue Jun 13 16:13:46 UTC 2017


    Date: Tuesday, June 13, 2017 @ 16:13:45
  Author: felixonmars
Revision: 236623

upgpkg: python-zope-security 4.1.1-1

Modified:
  python-zope-security/trunk/PKGBUILD

----------+
 PKGBUILD |   42 ++++++++++++++++++++++--------------------
 1 file changed, 22 insertions(+), 20 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2017-06-13 16:12:52 UTC (rev 236622)
+++ PKGBUILD	2017-06-13 16:13:45 UTC (rev 236623)
@@ -1,9 +1,10 @@
 # $Id$
 # Maintainer: Felix Yan <felixonmars at archlinux.org>
 
+pkgbase=python-zope-security
 pkgname=('python-zope-security' 'python2-zope-security')
-pkgver=4.0.3
-pkgrel=3
+pkgver=4.1.1
+pkgrel=1
 pkgdesc="Zope Security Framework"
 arch=('i686' 'x86_64')
 url="https://github.com/zopefoundation/zope.security"
@@ -12,31 +13,31 @@
              'python2-zope-interface' 'python-zope-component' 'python2-zope-component'
              'python-zope-i18nmessageid' 'python2-zope-i18nmessageid' 'python-zope-location'
              'python2-zope-location' 'python-zope-proxy' 'python2-zope-proxy'
-             'python-zope-schema' 'python2-zope-schema' 'git')
-checkdepends=('python-nose' 'python2-nose' 'python-zope-configuration' 'python2-zope-configuration'
-              'python-zope-testing' 'python2-zope-testing' 'python-zope-testrunner'
-              'python2-zope-testrunner')
-source=("git+https://github.com/zopefoundation/zope.security.git#tag=$pkgver")
-sha256sums=('SKIP')
+             'python-zope-schema' 'python2-zope-schema')
+checkdepends=('python-btrees' 'python2-btrees' 'python-nose' 'python2-nose'
+              'python-zope-configuration' 'python2-zope-configuration' 'python-zope-testing'
+              'python2-zope-testing' 'python-zope-testrunner' 'python2-zope-testrunner')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/zopefoundation/zope.security/archive/$pkgver.tar.gz")
+sha512sums=('67ce5a9f70224aeff568bc9a676bb93ef82c13631a9c0d405685dba068308b821a9bb177b4a773b8c4bcd0d96265e718e2dbad3fd9626d2ede360abc5d9608a0')
 
 prepare() {
-  cp -a zope.security{,-py2}
+  cp -a zope.security-$pkgver{,-py2}
 }
 
 build() {
-  cd "$srcdir/zope.security"
+  cd "$srcdir"/zope.security-$pkgver
   python setup.py build
 
-  cd "$srcdir/zope.security-py2"
+  cd "$srcdir"/zope.security-$pkgver-py2
   python2 setup.py build
 }
 
 check() {
-  cd "$srcdir/zope.security"
-  python setup.py test
+  cd "$srcdir"/zope.security-$pkgver
+  PYTHONPATH="$PWD/build/lib.linux-$CARCH-3.6:$PYTHONPATH" python -m zope.testrunner --test-path=src || warning "Tests failed"
 
-  cd "$srcdir/zope.security-py2"
-  python2 setup.py test
+  cd "$srcdir"/zope.security-$pkgver-py2
+  PYTHONPATH="$PWD/build/lib.linux-$CARCH-2.7:$PYTHONPATH" python2 -m zope.testrunner --test-path=src
 }
 
 package_python-zope-security() {
@@ -43,16 +44,17 @@
   depends=('python-setuptools' 'python-zope-component' 'python-zope-i18nmessageid'
            'python-zope-interface' 'python-zope-location' 'python-zope-proxy' 'python-zope-schema')
 
-  cd "$srcdir/zope.security"
-  python setup.py install --root="$pkgdir/" --optimize=1
+  cd zope.security-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
 }
 
 package_python2-zope-security() {
   depends=('python2-setuptools' 'python2-zope-component' 'python2-zope-i18nmessageid'
-           'python2-zope-interface' 'python2-zope-location' 'python2-zope-proxy' 'python2-zope-schema')
+           'python2-zope-interface' 'python2-zope-location' 'python2-zope-proxy'
+           'python2-zope-schema')
 
-  cd "$srcdir/zope.security-py2"
-  python2 setup.py install --root="$pkgdir/" --optimize=1
+  cd zope.security-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
 }
 
 # vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list